## canna-yubin 0.0.20011101

=== Makefile ===
DESTDIR=
DICS=yubin7.cbd yubin7.cld

canna-yubin:
	./yu2can.pl > yubin7.ctd.tmp
	nkf -e yubin7.ctd.tmp > yubin7.ctd
	mkbindic yubin7.ctd

clean:
	rm -f yubin7.c[tbl]d
	rm -f yubin7.ctd.tmp

install:
	install -m 644 ${DICS} ${DESTDIR}/var/lib/canna/dic/canna

=== debian/changelog ===
canna-yubin (0.0.20011101) unstable; urgency=low

  * New upstream release
  * Modify postinst and prerm methods.
  * Modify the upstream author's name.

 -- Yoshito Komatsu <ykomatsu@debian.org>  Thu, 24 Jan 2002 16:31:07 +0900

canna-yubin (0.0.20010601-1) unstable; urgency=low

  * New upstream release 

 -- Yoshito Komatsu <ykomatsu@debian.or.jp>  Sat,  4 Aug 2001 16:16:44 +0900

canna-yubin (0.0.20010501-3) unstable; urgency=low

  * New upstream release

 -- Yoshito Komatsu <ykomatsu@debian.or.jp>  Mon,  9 Jul 2001 14:56:41 +0900

canna-yubin (0.0.20010501-2) unstable; urgency=low

  * Add README.eucJP file.
  * Fix debian/copyright file.

 -- Yoshito Komatsu <ykomatsu@debian.or.jp>  Wed,  4 Jul 2001 13:12:34 +0900

canna-yubin (0.0.20010501-1) unstable; urgency=low

  * Initial Release.

 -- Yoshito Komatsu <ykomatsu@debian.or.jp>  Mon,  2 Jul 2001 11:25:51 +0900

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: canna-yubin
Section: utils
Priority: optional
Maintainer: Yoshito Komatsu <ykomatsu@debian.org>
Build-Depends: debhelper (>> 3.0.0), canna, nkf
Standards-Version: 3.5.2

Package: canna-yubin
Architecture: all
Depends: canna (>= 3.5b2-40)
Description: Japanese postal code dictionary for Canna
 This package contains Japanese postal code dictionary used by Canna.
 It was made from CSV file produced by Japanese Postal Services Agency.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/canna-yubin.sgml > canna-yubin.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/canna-yubin.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/canna-yubin

	cp -f debian/yubin.dics.dir.off \
		debian/canna-yubin/etc/canna/dics.dir.d/

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installman
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## canna-yubin 0.3.1.20150227.0

=== debian/changelog ===
canna-yubin (0.3.1.20150227.0-1ppa1) unstable; urgency=low

  * ../configure.ac: 0.3.1.20150227.0
  * ../COPYING: added 2015
  * ../KEN_ALL.CSV: updated to 2015-02-27
  * ../JIGYOSYO.CSV: updated to 2015-02-27
  * ../NEWS: added 0.3.1.20150227.0
  * control (Vcs-Git)
    (Vcs-Browser): changed
  * copyright: added 2015

 -- Mitsutoshi NAKANO <bkbin005@rinku.zaq.ne.jp>  Wed, 18 Mar 2015 17:08:32 +0900

canna-yubin (0.3.1.20141226.0-1ppa1) unstable; urgency=medium

  * ../configure.ac: 0.3.1.20141226.0
  * ../Makefile.am (EXTRA_DIST): added COPYING.GPL2
  * ../COPYING: deleted debian/* files
  * ../NEWS: added 0.3.1.20141226.0

 -- Mitsutoshi NAKANO <bkbin005@rinku.zaq.ne.jp>  Wed, 18 Mar 2015 14:32:27 +0900

canna-yubin (0.3.0.20141226.0-1ppa1) unstable; urgency=low

  * new upstream release 0.3.0.20141226.0:
    + supported (Free)Wnn
    + used Autotools
  * ../yu2.PL: renamed from yu2can.pl, supported (Free)Wnn
    Others changes:
    + convert charset encoding between Shift-JIS and EUC-JP.
    + default CSV files name into capital letters from small letters,
      because JAPAN POST Co., Ltd. shows files in capital letters.
    + added Plain Old Document
  * ../configure.ac: added to use Automake.
  * ../Makefile.am: added to use Automake.
  * ../Makefile: removed to use Automake.
  * ../KEN_ALL.CSV: renamed fronm ken_all.csv and updated to 2014-12-26
  * ../JIGYOSYO.CSV: renamed from jigyosyo.csv and updated to 2014-12-26
  * ../ChangeLog: created
  * ../AUTHORS: created
  * ../INSTALL: created
  * ../NEWS: created
  * ../COPYING: modified:
    + added ChangeLog & AUTHORS & INSTALL & NEWS
    + CSV files name into capital letters
    + yubin7.dic: add: (Free)Wnn's dictionary
    + added 2015 year
  * ../README: modified 2 points:
    + added (Free)Wnn
    + modified sentences
  * ../README.eucJP: modified:
    + added supporting (Free)Wnn
    + modified files list
    + announced removing binary dictionaries
  * ../.gitignore: added to use Autotools.

  * copyright: same as COPYING, see ../COPYING
  * docs: added AUTHORS
  * compat: changed 8->9
  * control: modified: changed Build-Depends & Depends
  * postinst: modified exit status to 1 if called with unknown argument,
    modified lintian's warning
  * prerm: modified exit status to 1 if called with unknown argument,
    modified lintian's warning
  * rules(%): used autotools-dev

 -- Mitsutoshi NAKANO <bkbin005@rinku.zaq.ne.jp>  Wed, 18 Mar 2015 08:09:37 +0900

canna-yubin (0.1.1.20140731.3-1ppa1) trusty; urgency=low

  * Fixed debian/copyright COPYING: some files duplicate in them.
  * Changed Makefie: skip making a tmpfile (using pipe).

 -- Mitsutoshi NAKANO <bkbin005@rinku.zaq.ne.jp>  Fri, 08 Aug 2014 15:25:28 +0900

canna-yubin (0.1.1.20140731.2-1ppa1) trusty; urgency=low

  * Fixed mkdir -p  make install's target directory.

 -- Mitsutoshi NAKANO <bkbin005@rinku.zaq.ne.jp>  Fri, 08 Aug 2014 12:48:53 +0900

canna-yubin (0.1.1.20140731.1-1ppa1) trusty; urgency=low

  * Changed license of binary dictionary GPL-2+ => public-domain .
  * Fixed lintian's warnings.

 -- Mitsutoshi NAKANO <bkbin005@rinku.zaq.ne.jp>  Tue, 05 Aug 2014 12:14:34 +0900

canna-yubin (0.1.1.20140731-1ppa1) trusty; urgency=low

  * Fixed 0.1.0's bug: debian/rules forgot copying yubin.dics.dir.off.

 -- Mitsutoshi NAKANO <bkbin005@rinku.zaq.ne.jp>  Tue, 05 Aug 2014 02:44:01 +0900

canna-yubin (0.1.0.20140731-1ppa1) trusty; urgency=low

  * updated data to 20140731.

 -- Mitsutoshi NAKANO <bkbin005@rinku.zaq.ne.jp>  Mon, 04 Aug 2014 15:14:56 +0900

=== debian/control ===
Source: canna-yubin
Section: utils
Priority: optional
Maintainer: Mitsutoshi NAKANO <bkbin005@rinku.zaq.ne.jp>
Build-Depends: debhelper (>= 9), autotools-dev, canna
Standards-Version: 3.9.6
Homepage: https://sourceforge.jp/projects/canna-yubin/
Vcs-Git: https://scm.sourceforge.jp/gitroot/canna-yubin/canna-yubin-deb.git
Vcs-Browser: https://sourceforge.jp/projects/canna-yubin/scm/git/canna-yubin-deb/

Package: canna-yubin
Architecture: all
Depends: canna-utils, canna (>= 3.5b2-40), ${shlibs:Depends}, ${misc:Depends}
Description: Japanese postal code dictionary for Canna
 This package contains Japanese postal code dictionary used by Canna.
 It was made from CSV file produced by JAPAN POST Co., Ltd.

=== debian/rules ===
#!/usr/bin/make -f
# -*- GNUmakefile -*-
# Copyright (C) 2001 Yoshito Komatsu
#               2014, 2015 Mitsutoshi NAKANO <bkbin005@rinku.zaq.ne.jp>
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published
# by the Free Software Foundation; either version 2 of the License,
# or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.

# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


# main packaging script based on dh7 syntax
%:
	dh $@  --with autotools-dev

# debmake generated override targets
# This is example for Cmake (See http://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- \
#	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

override_dh_install:
	mkdir -p debian/canna-yubin/etc/canna/dics.dir.d/
	cp -f debian/yubin.dics.dir.off debian/canna-yubin/etc/canna/dics.dir.d/
